<?php
require('../cfg/res.php');
//mysql_query("SET NAMES 'utf8'");
//$sql_carr='select * from item00 where item_codigo in(select item from inve2) order by item_nctlg desc, item_pctlg, item_codigo';
$sql_carr='select * from item00 order by item_nctlg desc, item_pctlg, item_codigo';
$res_carr=mysql_query($sql_carr,$link_vcrx);

?>






<script type="text/javascript">
function director_d(indxd)
{
	for(i=0;i<=document.getElementsByClassName('pdc_t1').length-1;i++)
	{
		document.getElementsByClassName('pdc_t1').item(i).style.background='none';
		document.getElementsByName('btn_ped_c').item(i).disabled=true;
		document.getElementsByName('btn_ped_c').item(i).style.cursor='progress';
	}
	
	document.getElementById(indxd).style.background='#eee';
	document.getElementById('director_d').innerHTML='<img src="../img/loader.gif" width="40" />';
	document.body.style.cursor='progress';
		
	$.ajax({
		url:'../lib/upcarr2.php',
		type:'POST',
		data:{indx:indxd},
		success: function(dato)
		{
			
			document.getElementById('director_d').innerHTML='';
			document.getElementById('director_d').innerHTML=dato;
			document.body.style.cursor='auto';
			for(i=0;i<=document.getElementsByClassName('pdc_t1').length-1;i++)
			{
				document.getElementsByName('btn_ped_c').item(i).disabled=false;
				document.getElementsByName('btn_ped_c').item(i).style.cursor='auto';
			}

		}			
				

	});
}
//document.getElementById('sub_titulo').innerHTML='<?php //echo "Empresarios";?>';
/*
var Dia = new Array("Domingo", "Lunes", "Martes", "Miércoles", "Jueves", "Viernes", "Sábado", "Domingo");
var Mes = new Array("01","02","03","04","05","06","07","08","09","10","11","12");

var Hoy = new Date();
var Anio = Hoy.getFullYear();

var Fecha = Hoy.getDate() + "/" + Mes[Hoy.getMonth()] + "/" + Anio;
*/
/*
console.log(Fecha);
document.getElementById("fecha_ini").value="007";
*/
function anular_pedido(docu,id,stox)
{
	if (confirm('¿Desea Anular su Pedido?')) 
	{
		document.getElementById('e_pedido').disabled=false;
		$.ajax({
			url:'../lib/vranula.php',
			type:'POST',
			data:{docu:docu,id:id,stox:stox},
			success: function(dato)
			{
				console.log('+'+dato);
				window.location.reload();
				//alert('Pedido Eliminado');
			},
			error: function(objeto)
			{
				console.log(objeto);
			}
		});
		document.getElementById('e_pedido').disabled=true;
	}
}
function redireccionar() 
{
var fecha_ini=document.getElementById('fecha_ini').value;
var fecha_fin=document.getElementById('fecha_fin').value;
pagina="?opt=<?php echo $_GET['opt']?>&tipo=<?php echo $_GET['tipo']?>"+"&fecha_ini="+fecha_ini+"&fecha_fin="+fecha_fin;

pagina="?opt=<?php echo $_GET['opt']?>"+"&tipo=<?php echo $_GET['tipo']?>"+"&item=<?php echo $_GET['item']?>"+"&fecha_ini="+fecha_ini+"&fecha_fin="+fecha_fin;

location.href=pagina;
}

function upcarr(ci,tipo,idx)
{
	var res = idx.substring(1, idx.length);
	$.ajax({
		url:'../lib/upd_carr2.php',
		type:'POST',
		data:{ci:ci,tipo:tipo},
		success: function(dato)
		{
			console.log(dato);
			if(dato=='0')
			{
                           document.getElementById(tipo+res).style.display='block';
	                       if(tipo=='1')
                               {
		                   tipo='0';
	                       }
 	                       else
	                       {
		                   tipo='1';
	                       }
	                       document.getElementById(tipo+res).style.display='none';
			}
			else
			{
				alert('Error de Conexion.');
			}
		},
		error:function(objeto)
		{
			console.log(objeto);
		}
	});
}

function modi_item(idcomi,e)
{
	
	if(e.keyCode==13)
	{
		
		if(confirm("Desea Actualizar Item?"))
		{
			$.ajax({
		cache:false,
		url:'../lib/upd_carr3.php',
		datatype: "text",
	    async:false,
		type:'POST',
		data:{item_puni:document.getElementById('uni_'+idcomi).value,item_dcto:document.getElementById('dcto_'+idcomi).value,item_id:idcomi}, 
    	beforeSend: function(jqXHR, textStatus)
		{
	
		}, 
		
		success:function(dato, textStatus, jqXHR)
		{
			alert(dato);
			var itx_puni=document.getElementById('uni_'+idcomi).value;
			var itx_dcto=document.getElementById('dcto_'+idcomi).value;
			var itx_iva=document.getElementById('iva_'+idcomi).value;
			var itx_pvp=0;
			
			
			itx_dcto=100-itx_dcto;
			itx_dcto=itx_dcto/100;
			
			itx_puni=itx_puni*itx_dcto;
			
			
			itx_iva=itx_iva/100;
			itx_iva=itx_iva+1;
			
			
			
			itx_puni=itx_puni*itx_iva;
			document.getElementById('pvp_'+idcomi).value=itx_puni.toFixed(2);
			document.getElementById('pvp_'+idcomi).style.color='red';
			
		},
		error:function(jqXHR,textStatus,errorThrown )
		{
           if (jqXHR.status === 0) {
              console.log('Not connect: Verify Network.');
           } else if (jqXHR.status == 404) {
               console.log('Requested page not found [404]');
           } else if (jqXHR.status == 500) {
               console.log('Internal Server Error [500].');
           } else if (exception === 'parsererror') {
               console.log('Requested JSON parse failed.');
           } else if (exception === 'timeout') {
               //console.log('Time out error.');
			   alert('Servidor no Responde');
           } else if (exception === 'abort') {
               console.log('Ajax request aborted.');
           } else {
               console.log('Uncaught Error: ' + jqXHR.responseText);
           }

		}, 
	    complete:function(jqXHR, textStatus)
    	{
			
			if(textStatus==='success')
	        {
    	
			}           
		},
		timeout:30000
		});

		}
	}
	
} 

</script>


<div align="left" style=" max-height:500px; overflow-y:scroll; margin-top:5px;">

<table width="90%" cellpadding="2" cellspacing="0" style="font-size:12px; border-collapse:collapse; border:solid 1px #000;">
<tr align="center" style="border:1px solid #000;">
<th>Foto</th>
<th>Carr.</th>
<th>Ctlg.</th>
<th>Pag.</th>
<th>CODIGO</th>
<th>DESCRI</th>
<th>Unit.</th>
<th>Dcto.</th>
<th>IVA</th>
<th>PVP</th>
<th>SALDO</th>

</tr>
<?php
$fila_t=1;
$borde_t='border-bottom:dotted 1px #000;';
while($_carr=mysql_fetch_assoc($res_carr))
{
?>

<tr  class="pdc_t1" id="<?php echo $_carr['item_codigo']; ?>" style=" <?php if($fila_t==5){echo $borde_t; $fila_t=1;}else{$fila_t++;}?> ">
	<td width="7%" align="center"><img src="../ctlg/<?php echo $_carr['item_modelo'];?>.png" width="50" /></td>
	<td align="center">    	
        <?php
			if(isset($_carr['item_carr']) && !empty($_carr['item_carr'])&& $_carr['item_carr']=='1' )
			{
			  $stilo1="display:block;";
                          $stilo2="display:none;";
                        }
			else
			{
                          $stilo1="display:none;";
                          $stilo2="display:block;";
                        }
		?>
        <input type="image" src="http://vcrxol.com/_img/ico_cart1.png" onClick="upcarr('<?php echo $_carr['item_codigo'];?>','0',this.id);" style="<?php echo  $stilo1; ?>" id="1<?php echo $_carr['item_codigo'];?>"  />
       	<input type="image" src="http://vcrxol.com/_img/ico_cart0.png" onClick="upcarr('<?php echo $_carr['item_codigo'];?>','1',this.id);" style="<?php echo  $stilo2; ?>" id="0<?php echo $_carr['item_codigo'];?>" />
						
    </td>
	<td align="center"><?php echo $_carr['item_nctlg'];?></td>
	<td align="center"><?php echo $_carr['item_pctlg'];?></td>
	<td><?php echo $_carr['item_codigo'];?></td>
	<td><?php echo $_carr['item_descri'];?></td>
	<td align="right">
    <input type="text" style="border:solid 1px #000; width:50px;" onkeypress="modi_item('<?php echo $_carr['item_codigo'];?>',event);" value="<?php echo number_format($_carr['item_puni'],2);?>" id="uni_<?php echo $_carr['item_codigo'];?>"  />
    </td>
	<td align="right">
	<input type="text" style="border:solid 1px #000; width:50px;" onkeypress="modi_item('<?php echo $_carr['item_codigo'];?>',event);" value="<?php echo number_format($_carr['item_dcto'],2);?>" id="dcto_<?php echo $_carr['item_codigo'];?>"  />
	
    </td>
	<td align="right"><input title="text" id="iva_<?php echo $_carr['item_codigo'];?>" value="<?php echo number_format($_carr['item_iva'],2);?>" style="border:solid 1px #000; width:50px;" /></td>
	<td align="right"><input title="text" id="pvp_<?php echo $_carr['item_codigo'];?>" value="<?php echo number_format($_carr['item_pvp1'],2);?>" style="border:solid 1px #000; width:50px;" /></td>
	<td align="right"><?php echo number_format($_carr['item_pvp1'],2);?></td>
</tr>
<?php	
}
?>
</table>
</div>
<div id="director_d" style="padding-top:10px; "></div>
<script type="text/javascript">
</script>